<?php

namespace App\Tests\Service\System;

use App\Service\System\GitClient;
use PHPUnit\Framework\TestCase;

class GitClientTest extends TestCase
{
    public function testGetLastCommitInfo(): void
    {
        $client = new GitClient();
        
        $info = $client->getLastCommitInfo('.');
        
        $this->assertIsArray($info);
        $this->assertArrayHasKey('message', $info);
        $this->assertArrayHasKey('date', $info);
        $this->assertArrayHasKey('hash', $info);
    }
}
